#######################################################
#						      #
#    dtM.tcl -- dtM's custom tcl script for XiRCON    #
#						      #
#######################################################

global scriptDir
set scriptDir ""
on LOAD {
	set idx [lsearch [scripts] "*\\dtm.tcl"]
	if {$idx == -1} {
		echo "Unable to find path for dtM.tcl"
	} {
		regexp -nocase {(.*)\\dtm.tcl$} [lindex [scripts] $idx] a scriptDir

		source ${scriptDir}\\init.tcl
		source ${scriptDir}\\aliases.tcl
		source ${scriptDir}\\away.tcl
		source ${scriptDir}\\events.tcl
		source ${scriptDir}\\procs.tcl
		source ${scriptDir}\\whois.tcl
		source ${scriptDir}\\nickc.tcl
	}
}

#                                                                         #
#  Thanks to Wr0ngWay for this loadup procedure, and also for nickc.tcl.  #
#  Hello to dwoo, ZenTroN, delphi, Cleptau, and all the rest of #XiRCON.  #
#                                                                         #
#                 Heya Aaron...how's it goin? :)                          #
#                                                                         #